%global _exclude_files_from_autoreq ^%{_libdir}/%{vname}/%{extensions_dir}/
%define number	0.6.1
%define oname	RetroShare
%define extensions_dir	extensions6
%define vname	retroshare06
%define voname	%{oname}06

Name:		retroshare
Version:	%{number}
Release:	%mkrel 3
Summary:	Private and secure decentralized communication platform
License:	GPLv2
Group:		Networking/Other
Source0:	https://github.com/RetroShare/RetroShare/archive/%{number}.tar.gz
URL:		https://retroshare.github.io/
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(libupnp)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	%{_lib}microhttpd-devel
BuildRequires:	%{_lib}sqlcipher-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	speex-devel
BuildRequires:	chrpath
Requires:	%{name}-data
Requires:       sqlcipher
Requires:	openssl
Recommends:	retroshare-voip
Recommends:	retroshare-feedreader

%description
Lets you to securely chat and share files with your friends
and family, using a web-of-trust to authenticate peers and OpenSSL to encrypt
all communication.
RetroShare provides file-sharing, chat, messages, forums and channels.

%package nogui
Summary:	Private and secure decentralized communication platform without GUI
Requires:	%{name}-data

%description nogui
Version Without GUI for making relay server.
Lets you to securely chat and share files with your friends
and family, using a web-of-trust to authenticate peers and OpenSSL to encrypt
all communication.
RetroShare provides file-sharing, chat, messages, forums and channels.

%package data
Summary:	Data files needed for %{name} and %{name}-nogui
BuildArch:	noarch

%description data
This package contains data files needed for %{name} and %{name}-nogui.

%package voip
Summary:	VOIP plugin for %{vname} %{number}
BuildRequires:	opencv-devel
BuildRequires:  speexdsp-devel
Requires:	retroshare

%description voip
VOIP plugin for %{vname} %{number}.

%package feedreader
Summary:	Plugin for %{vname} %{number}
BuildRequires:	libxslt-devel
BuildRequires:	curl-devel
Requires:	retroshare

%description feedreader
RSS feed reader for %{vname} %{number}.

%prep
%setup -q -n %{oname}-%{number}


%build
cd libbitdht/src
%qmake_qt4
%make_build

cd ../../openpgpsdk/src
%qmake_qt4
%make_build

cd ../../libresapi/src
%qmake_qt4
%make_build

cd ../../supportlibs/pegmarkdown/
%qmake_qt4
%make_build

cd ../../libretroshare/src
%qmake_qt4
%make_build

cd ../../retroshare-gui/src
%qmake_qt4
%make_build

cd ../../retroshare-nogui/src
%qmake_qt4
%make_build

cd ../../plugins
qmake
make


%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/applications
install -d %{buildroot}%{_datadir}/%{voname}/webui
install -d %{buildroot}%{_datadir}/pixmaps
install -d %{buildroot}%{_datadir}/icons/hicolor/24x24/apps
install -d %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
install -d %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
install -m 755 retroshare-gui/src/%{voname} %{buildroot}%{_bindir}/%{voname}
install -m 644 data/24x24/apps/%{vname}.png %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/
install -m 644 data/48x48/apps/%{vname}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
install -m 644 data/64x64/apps/%{vname}.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/
install -m 644 data/%{vname}.desktop %{buildroot}%{_datadir}/applications/
install -m 644 data/%{vname}.xpm %{buildroot}%{_datadir}/pixmaps/
install -m 644 libresapi/src/webui/* %{buildroot}%{_datadir}/%{voname}/webui/
install -d %{buildroot}%{_bindir}/%{vname}
install -m 755 retroshare-nogui/src/%{voname}-nogui %{buildroot}%{_bindir}/%{vname}-nogui
chrpath -d %{buildroot}%{_bindir}/%{vname}-nogui
chrpath -d %{buildroot}%{_bindir}/%{voname}

install -d %{buildroot}%{_libdir}/%{vname}/%{extensions_dir}/
install -m 644 libbitdht/src/bitdht/bdboot.txt %{buildroot}%{_datadir}/%{voname}/
install -m 755 plugins/VOIP/libVOIP.so %{buildroot}%{_libdir}/%{vname}/%{extensions_dir}/
install -m 755 plugins/FeedReader/libFeedReader.so %{buildroot}%{_libdir}/%{vname}/%{extensions_dir}/
cd %{buildroot}%{_libdir}/%{vname}/%{extensions_dir}/

ln -sf ./libVOIP.so ./libVOIP.so.1
ln -sf ./libVOIP.so ./libVOIP.so.1.0
ln -sf ./libVOIP.so ./libVOIP.so.1.0.0
ln -sf ./libFeedReader.so ./libFeedReader.so.1
ln -sf ./libFeedReader.so ./libFeedReader.so.1.0
ln -sf ./libFeedReader.so ./libFeedReader.so.1.0.0
chrpath -d ./libVOIP.so*



%files
%{_bindir}/%{voname}
%{_datadir}/icons/hicolor/24x24/apps/%{vname}.png
%{_datadir}/icons/hicolor/48x48/apps/%{vname}.png
%{_datadir}/icons/hicolor/64x64/apps/%{vname}.png
%{_datadir}/applications/%{vname}.desktop
%{_datadir}/pixmaps/%{vname}.xpm


%files nogui
%{_bindir}/%{vname}-nogui


%files data
%dir %{_datadir}/%{voname}
%dir %{_datadir}/%{voname}/webui
%{_datadir}/%{voname}/bdboot.txt
%{_datadir}/%{voname}/webui/*

%files voip
%{_libdir}/%{vname}/%{extensions_dir}/libVOIP.so*
%dir %{_libdir}/%{vname}
%dir %{_libdir}/%{vname}/%{extensions_dir}

%files feedreader
%{_libdir}/%{vname}/%{extensions_dir}/libFeedReader.so*
%dir %{_libdir}/%{vname}
%dir %{_libdir}/%{vname}/%{extensions_dir}


%changelog
* Wed Mar 08 2017 akien <akien> 0.6.1-3.mga6
+ Revision: 1090254
- Rebuild for ffmpeg 3.2.4

* Thu Oct 06 2016 filipesaraiva <filipesaraiva> 0.6.1-2.mga6
+ Revision: 1059226
- Fix conflicts in VOIP plugin;
- Add several fixes provide by David Geiger (thanks :):
- Replace Suggests for Recommends;
- Add a package for RetroShare data;
- Fix Requires to look for retroshare package instead retroshare06;
- Replace %%make for %%make_build;
- Use voip instead VOIP in plugin package name;
- Increment mkrel;
- Add Qt Multimedia as Build Requirement for voip plugin;

* Wed Oct 05 2016 filipesaraiva <filipesaraiva> 0.6.1-1.mga6
+ Revision: 1059100
- Update RetroShare to 0.6.1 version;
- Update source code localization;
- Update website address;

  + umeabot <umeabot>
    - Rebuild for openssl

* Tue Feb 16 2016 umeabot <umeabot> 0.5.5c-9.mga6
+ Revision: 962717
- Mageia 6 Mass Rebuild

* Thu Nov 12 2015 tv <tv> 0.5.5c-8.mga6
+ Revision: 902892
- kill useless find_lang call
- add -stdc=gnu89 to CXXFLAGS

  + daviddavid <daviddavid>
    - add missing BuildRequires on speexdsp

* Thu Aug 27 2015 cjw <cjw> 0.5.5c-7.mga6
+ Revision: 870101
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.5.5c-6.mga5
+ Revision: 740365
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 filipesaraiva <filipesaraiva> 0.5.5c-5.mga5
+ Revision: 738622
- Release increment;
- Fix retroshare-voip package name;
- Add Obsoletes;

* Tue Sep 16 2014 umeabot <umeabot> 0.5.5c-4.mga5
+ Revision: 688665
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 0.5.5c-3.mga5
+ Revision: 670353
- rebuild for protobuf

* Mon Jul 21 2014 filipesaraiva <filipesaraiva> 0.5.5c-2.mga5
+ Revision: 655334
- Removed unused gpgme development library of build requires

* Sun Jun 22 2014 filipesaraiva <filipesaraiva> 0.5.5c-1.mga5
+ Revision: 638588
- Add feedreader plugin description
- Fix SPEC file;
- Removed some unused variables;

  + dtux <dtux>
    - Added patch and modified spec to put plugins in /usr/lib64 on 64 bits arch
    - Corrected extensions directory path
    - added building of packages retroshare-nogui and plugins.

* Sat Oct 19 2013 umeabot <umeabot> 0.5.4e-2.mga4
+ Revision: 533832
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 filipesaraiva <filipesaraiva> 0.5.4e-1.mga4
+ Revision: 475554
- Added scrnsaver to BuildRequires
-Changes in SPEC to test 0.5.4e compilation
- Updated to 0.5.4e version
- Added patch to compile in x86_64 arch;
- Minor changes in spec

  + dtux <dtux>
    - new version 0.5.4a
    - clean spec
    - remove useless static library
    - fix build
    - Modified spec file due to renaming patch files.
    - Renaming patch files for mageia naming compliance.
    - Update to version 0.5.3c
    - Fixed BuildRequires
    - Modifying spec file for confprmity with mageia rules
    - imported package retroshare

